{
  "name": "@digiresilience/metamigo-api",
  "version": "0.2.0",
  "type": "module",
  "main": "build/main/main.js",
  "author": "Abel Luck <abel@guardianproject.info>",
  "license": "AGPL-3.0-or-later",
  "dependencies": {
    "@adiwajshing/keyed-db": "0.2.4",
    "@digiresilience/hapi-nextauth": "*",
    "@digiresilience/hapi-pg-promise": "*",
    "@digiresilience/metamigo-common": "*",
    "@digiresilience/metamigo-config": "*",
    "@digiresilience/metamigo-db": "*",
    "@digiresilience/montar": "*",
    "@digiresilience/node-signald": "*",
    "@graphile-contrib/pg-simplify-inflector": "^6.1.0",
    "@hapi/basic": "^7.0.2",
    "@hapi/boom": "^10.0.1",
    "@hapi/vision": "^7.0.2",
    "@hapi/wreck": "^18.0.1",
    "@hapipal/schmervice": "^3.0.0",
    "@hapipal/toys": "^4.0.0",
    "blipp": "^4.0.2",
    "camelcase-keys": "^8.0.2",
    "expiry-map": "^2.0.0",
    "fluent-ffmpeg": "^2.1.2",
    "graphile-migrate": "^1.4.1",
    "graphile-worker": "^0.13.0",
    "hapi-auth-bearer-token": "^8.0.0",
    "hapi-auth-jwt2": "^10.4.0",
    "hapi-swagger": "^17.1.0",
    "joi": "^17.9.2",
    "jsonwebtoken": "^9.0.1",
    "jwks-rsa": "^3.0.1",
    "long": "^5.2.3",
    "p-memoize": "^7.1.1",
    "pg": "^8.11.1",
    "pg-monitor": "^2.0.0",
    "pg-promise": "^11.5.0",
    "postgraphile": "4.12.3",
    "postgraphile-plugin-connection-filter": "^2.3.0",
    "remeda": "^1.24.0",
    "twilio": "^4.14.0",
    "typeorm": "^0.3.17",
    "@whiskeysockets/baileys": "^6.3.1"
  },
  "devDependencies": {
    "@types/long": "^4.0.2",
    "@types/node": "*",
    "babel-preset-link": "*",
    "camelcase-keys": "^8.0.2",
    "eslint-config-link": "*",
    "jest-config-link": "*",
    "nodemon": "^3.0.1",
    "pg-monitor": "^2.0.0",
    "pino-pretty": "^10.0.1",
    "ts-node": "^10.9.1",
    "tsc-watch": "^6.0.4",
    "tsconfig-link": "*",
    "typedoc": "^0.24.8",
    "typescript": "^5.1.6"
  },
  "nodemonConfig": {
    "ignore": [
      "docs/*"
    ],
    "ext": "ts,json,js"
  },
  "scripts": {
    "build": "tsc -p tsconfig.json",
    "test": "JEST_CIRCUS=1 jest --coverage --forceExit --detectOpenHandles --reporters=default --reporters=jest-junit",
    "fmt": "prettier \"src/**/*.ts\" --write",
    "lint": "eslint src --ext .ts",
    "lint-fmt": "prettier \"src/**/*.ts\" --list-different",
    "fix:lint": "eslint src --ext .ts --fix",
    "cli": "NODE_ENV=development nodemon --unhandled-rejections=strict build/main/cli/index.js",
    "serve": "NODE_ENV=development npm run cli server",
    "serve:prod": "NODE_ENV=production npm run cli server",
    "worker": "NODE_ENV=development npm run cli worker",
    "worker:prod": "NODE_ENV=production npm run cli worker",
    "watch:build": "tsc -p tsconfig.json -w",
    "dev": "tsc-watch --build  --noClear  --onSuccess \"node ./build/main/main.js\""
  }
}
